version: '3'
services:

  nginx:
    hostname: nginx
    # container_name: mynginx
    restart: unless-stopped
    image: nginx:1.25.3
    ports:
      - 80:80
    volumes:
      # - ./my-server.conf:/etc/nginx/conf.d/default.conf:ro
      - ./nginx-custom.conf:/etc/nginx/conf.d/static.conf
    networks:
      - myapp

  
  slim:
    image: myslimapi
    restart: unless-stopped
    working_dir: /var/www
    depends_on:
      - nginx
    command: php -S 0.0.0.0:8080 -t sapi/public
    ports:
      - 8080:8080
    volumes:
      - .:/var/www
    networks:
      - myapp    

networks:
  myapp:
    driver: bridge